#
# Example on how to hook into the menu bar from a user callback
#

source console.tcl
source dbedit.tcl
source ped.tcl
source sqlitecon.tcl

proc user_after_start {} {
  .mb add cascade -label Debug -underline 0 -menu .mb.debug

  menu .mb.debug
  .mb.debug add command -label {Tcl Command Shell...} -command ::console::start
  .mb.debug add command -label {SQLite Console...} \
      -command {::sqlitecon::create .sqlcon {sqlite> } {SQLite Console} db}
  .mb.debug add command -label {Database Editor...} \
      -command {::dbedit::start db}
  .mb.debug add command -label {Tcl Proc Editor...} -command ::ped::create
}
